// pages/video/video.js
const app = getApp()
const host = app.globalData.host;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    title:'',
    url:'',
    time:0,
    duration:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options)
    let time = options.time.split(':')
    this.setData({
      title: options.title,
      url: options.url,
      time: time[0]*60+time[1],
      id:options.id
    })
  },
  end: function (event){
    wx.request({
      url: host + '/api/wx/savevtime',
      method: 'post',
      data: {
        video_id: this.data.id,
        time: this.data.duration
      },
      success: function (res) {

      }
    })
  },
  timeupdate: function (event){
    if (!this.data.duration){
        this.setData({
          duration: event.detail.duration
        })
        
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})